package cn.reghao.devops.mgr.config.spring;

import cn.reghao.jutil.jdk.converter.ByteConverter;
import cn.reghao.jutil.jdk.http.WebClient;
import cn.reghao.jutil.jdk.http.WebRequest;
import cn.reghao.jutil.jdk.shell.ShellExecutor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import oshi.SystemInfo;

/**
 * @author reghao
 * @date 2021-09-16 09:28:04
 */
@Configuration
public class BeansConfig {
    @Bean
    public SystemInfo systemInfo() {
        return new SystemInfo();
    }

    @Bean
    public WebRequest webRequest() {
        //return new DefaultWebRequest();
        return new WebClient();
    }

    @Bean
    public ByteConverter byteConverter() {
        return new ByteConverter();
    }

    @Bean
    public ShellExecutor shellExecutor() {
        return new ShellExecutor();
    }
}
